#include "csapp.h"

void ctl_c(int sig) {
  sio_puts("c\n");
}

int main() {
  int status;
  pid_t pid;

  sigset_t sigs;
  Sigemptyset(&sigs);
  Sigaddset(&sigs, SIGINT);
  Sigprocmask(SIG_BLOCK, &sigs, NULL);
  
  pid = Fork();
  if (pid == 0) {
    Kill(getppid(), SIGINT);
    return 0;
  }

  Signal(SIGINT, ctl_c);
  Sigprocmask(SIG_UNBLOCK, &sigs, NULL);

  Waitpid(pid, &status, 0);
  printf("%d\n", WEXITSTATUS(status));

  return 0;
}
